This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 977769 - Update button of Task details dialog leaves the modal dialog open and doesn't update the GUI.
Update button of Task details dialog leaves the modal dialog open and doesn't...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER2
: 6.0.0
Assigned To: Mauricio Salatino
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 05:51 EDT by Jan Hrcek
Modified: 2014-08-06 16:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:13:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update button problem (56.80 KB, image/png)
2013-06-25 05:51 EDT, Jan Hrcek
no flags Details
Steps to reproduce - video (1.90 MB, video/webm)
2013-07-02 05:29 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-06-25 05:51:47 EDT
Created attachment 765002 [details]
Update button problem

Description of problem:
The modal dialog for viewing/updating task details doesn't disappear after clicking its "Update" button.

Version-Release number of selected component (if applicable):
jBPM console DR5 deployed on JBoss EAP 6.1

How reproducible:
Always

Steps to Reproduce:
1. Navigate to BPM > Tasks - Grid View (Advanced view)
2. Click "New Task" - just fill in some task name and click "Create"
3. Details for the newly created task (the magnifying glass icon)
4. Fill in some new values (e.g. Description, change priority etc.)
5. Scroll down and click "Update"

Actual results:
The Details window remains open. Even though task details ARE updated the change is not reflected in the GUI (you must close the modal dialog by "x" and then refresh the page)

Expected results:
After "Update" is clicked, the Modal dialog should disappear and the task details displayed in the Task list should be updated in the GUI.

Additional info:
See Screenshot
Comment 2 Mauricio Salatino 2013-07-01 04:00:38 EDT
When I've created this tab, I didn't wanted to close the modal after the user updated the task details. The main reason is that usually the will want to move to another tab to do the work or to change more things. 
A notification is create when the task is updated. And the OnClose action of the modal should refresh the task list in the back when the modal is closed. 

If we all agree that the update button should close the modal I don't mind doing it. It's a 5 minutes change, but I originally designed it to not do that.
Comment 3 Jan Hrcek 2013-07-02 05:28:26 EDT
Mauricio, maybe it makes sense that the modal is not closed after update button is clicked (I don't know yet how exactly the gui will be used). However gui is NOT updated even after closing the modal. I made a short video reproducing the problem so you can see what I mean - I set new task priority, but then after clicking update and then closing the modal, the new priority is not reflected in the list.

I tested with community Beta4 build.
Comment 4 Jan Hrcek 2013-07-02 05:29:24 EDT
Created attachment 767670 [details]
Steps to reproduce - video
Comment 5 Mauricio Salatino 2013-07-02 06:07:03 EDT
I will fix that in master and I will mark this issue as modified
Comment 6 Mauricio Salatino 2013-07-03 07:22:28 EDT
Fixed in master
Comment 8 Jan Hrcek 2013-09-04 03:24:35 EDT
Verified with BPMS 6.0.0.ER2

Note You need to log in before you can comment on or make changes to this bug.